package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zhangkaikai
 * @create 2023-05-22 4:29 PM
 **/

@ApiModel("门店导入模板")
@Data
public class ChannelImportExcel {
    @Excel(name = "手机号")
    private String mobile;

    @Excel(name = "门店名称")
    private String name;

    @Excel(name = "佣金比例(%)")
    private BigDecimal commRate;

    @Excel(name = "上级渠道(手机号)")
    private String parentsMobile;
}
