package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zhangkaikai
 * @create 2023-05-26 3:14 PM
 **/

@ApiModel("查询毛利参数")
@Data
public class TicketBoxGrossProfitParam {
    @ApiModelProperty("盲票组id")
    private String boxId;

    @ApiModelProperty("盲票订单状态")
    private Integer ticketOrderStatus;

    @ApiModelProperty("经销商订单状态")
    private Integer channelOrderStatus;

    @ApiModelProperty("经销商订单类型")
    private Integer channelOrderType;

    @ApiModelProperty(value = "自定义开始时间",required=false)
    private Date startTime;

    @ApiModelProperty(value = "自定义截止时间",required=false)
    private Date endTime;
}
