package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.CdKey;
import com.qs.mp.admin.domain.CdKeyExchange;
import com.qs.mp.admin.domain.CdKeyGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangkaikai
 * @create 2023-05-17 4:16 PM
 **/
@ApiModel("兑换码兑换详情")
@Data
public class CdKeyExchangeVO extends CdKey{

    @ApiModelProperty("已兑数量")
    private Integer cashedQty;

    @ApiModelProperty("未兑数量")
    private Integer remainQty;
}
