package com.qs.mp.admin.domain.vo;

import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zhangkaikai
 * @create 2023-05-23 11:07 AM
 **/

@Data
@ApiModel
public class ChannelImportErrorVO {

    @ApiModelProperty("错误原因")
    private String errorReason;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("门店名称")
    private String name;

    @ApiModelProperty("佣金比例")
    private BigDecimal commRate;

    @ApiModelProperty("上级渠道(手机号)")
    private String parentsMobile;
}
