package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.CdKey;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.CdKeyGroup;
import com.qs.mp.admin.domain.vo.CdKeyExchangeVO;
import com.qs.mp.admin.domain.vo.CdKeyGroupListVO;
import com.qs.mp.admin.domain.vo.CdKeyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-05-16 17:20:42
 * @describe 兑换码mapper类
 */
public interface CdKeyMapper extends BaseMapper<CdKey> {

    List<CdKeyGroupListVO> listCdKeyVO(@Param(Constants.WRAPPER) QueryWrapper<CdKeyGroup> queryWrapper);

    List<CdKeyExchangeVO> listCdKeyExchangeVO(@Param(Constants.WRAPPER) QueryWrapper<CdKey> queryWrapper);

    List<CdKeyVO> listExportVO(@Param(Constants.WRAPPER) QueryWrapper<CdKey> queryWrapper);
}
