package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.CdKey;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.CdKeyGroup;
import com.qs.mp.admin.domain.vo.CdKeyExchangeVO;
import com.qs.mp.admin.domain.vo.CdKeyGroupListVO;
import com.qs.mp.admin.domain.vo.CdKeyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-05-16 17:20:42
 * @describe 兑换码服务类
 */
public interface ICdKeyService extends IService<CdKey> {

    List<CdKeyGroupListVO> listCdKeyVO(QueryWrapper<CdKeyGroup> queryWrapper);

    List<CdKeyExchangeVO> listCdKeyExchangeVO(@Param(Constants.WRAPPER) QueryWrapper<CdKey> queryWrapper);

    void exchangeCdKey(Long keyId);

    List<CdKeyVO> listExportVO(QueryWrapper<CdKey> groupId);
}
