package com.qs.mp.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qs.mp.admin.domain.MarketingAwardsPrize;
import com.qs.mp.admin.mapper.MarketingAwardsPrizeMapper;
import com.qs.mp.admin.service.IMarketingAwardsPrizeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 营销活动奖项对应奖品设置 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-16
 */
@Service
public class MarketingAwardsPrizeServiceImpl extends ServiceImpl<MarketingAwardsPrizeMapper, MarketingAwardsPrize> implements IMarketingAwardsPrizeService {

    @Override
    public List<MarketingAwardsPrize> listPrizeVO(LambdaQueryWrapper<MarketingAwardsPrize> eq) {
        return getBaseMapper().listPrizeVO(eq);
    }
}
