package com.qs.mp.channel.domain.excel;

import com.qs.mp.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * @author zhangkaikai
 * @create 2023-06-06 5:23 PM
 **/
@Data
public class ChannelGoodsOrderExcel {

    @Excel(name = "商品名称")
    private String title;

    @Excel(name = "商品数量")
    private String num;

    @Excel(name = "供应商名称")
    private String supplierName;

    @Excel(name = "下单时间")
    private Date createTime;

    @Excel(name = "发货状态")
    private String shipStatus;

    @Excel(name = "订单编号")
    private String orderNo;

    @Excel(name = "订单状态")
    private String orderStatus;

    @Excel(name = "收货人")
    private String receiver;

    @Excel(name = "联系电话)")
    private String tel;

    @Excel(name = "收货地址")
    private String address;
}
