package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelGoodsOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author zhangkaikai
 * @create 2023-06-02 5:22 PM
 **/

@ApiModel("经销商商品订单出参类")
@Data
public class ChannelGoodsOrderVO extends ChannelGoodsOrder {

    @ApiModelProperty("经销商商品订单明细")
    private List<ChannelGoodsOrderItemVO> items;

    @ApiModelProperty("供应商名称")
    private String supplierName;
}
