package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangkaikai
 * @create 2023-06-07 9:42 AM
 **/
@ApiModel("门店铺设商品出参类")
@Data
public class ChannelGoodsVO extends ChannelGoods {

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("门店名称")
    private String channelName;

    @ApiModelProperty("门店总库存")
    private Integer totalQuantity;

    @ApiModelProperty("门店总核销")
    private Integer totalVerQuantity;

    @ApiModelProperty("剩余总库存")
    private Integer remainTotalQuantity;

    @ApiModelProperty("紧张库存")
    private Integer deepQuantity;
}
