package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelGoods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-07 01:13:35
 * @describe 商品库mapper类
 */
public interface ChannelGoodsMapper extends BaseMapper<ChannelGoods> {

    List<ChannelGoodsVO> listChannelGoods(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoods> wrapper);

    List<ChannelGoodsVO> listChannelGoodsUnderChannel(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoods> wrapper);
}
