package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelGoodsOrderItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-07 01:21:14
 * @describe 经销商商品采购订单明细mapper类
 */
public interface ChannelGoodsOrderItemMapper extends BaseMapper<ChannelGoodsOrderItem> {

    List<ChannelGoodsOrderItemVO> selectChannelGoodsOrderItemVOList(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoodsOrderItem> goodsOrderItemQueryWrapper);
}
