package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoods;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.vo.ChannelGoodsVO;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-07 01:13:35
 * @describe 商品库服务类
 */
public interface IChannelGoodsService extends IService<ChannelGoods> {

    List<ChannelGoodsVO> listChannelGoods(QueryWrapper<ChannelGoods> wrapper);

    List<ChannelGoodsVO> listChannelGoodsUnderChannel(QueryWrapper<ChannelGoods> wrapper);
}
