package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoodsOrderItem;
import com.qs.mp.channel.domain.vo.ChannelGoodsOrderItemVO;
import com.qs.mp.channel.mapper.ChannelGoodsOrderItemMapper;
import com.qs.mp.channel.service.IChannelGoodsOrderItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 经销商商品采购订单明细 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2023-06-07
 */
@Service
public class ChannelGoodsOrderItemServiceImpl extends ServiceImpl<ChannelGoodsOrderItemMapper, ChannelGoodsOrderItem> implements IChannelGoodsOrderItemService {

    @Override
    public List<ChannelGoodsOrderItemVO> selectChannelGoodsOrderItemVOList(QueryWrapper<ChannelGoodsOrderItem> goodsOrderItemQueryWrapper) {
        return getBaseMapper().selectChannelGoodsOrderItemVOList(goodsOrderItemQueryWrapper);
    }
}
