package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelGoods;
import com.qs.mp.channel.domain.vo.ChannelGoodsVO;
import com.qs.mp.channel.mapper.ChannelGoodsMapper;
import com.qs.mp.channel.service.IChannelGoodsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-07 01:13:35
 * @describe 商品库服务实现类
 */
@Service
public class ChannelGoodsServiceImpl extends ServiceImpl<ChannelGoodsMapper, ChannelGoods> implements IChannelGoodsService {

    @Override
    public List<ChannelGoodsVO> listChannelGoods(QueryWrapper<ChannelGoods> wrapper) {
        return getBaseMapper().listChannelGoods(wrapper);
    }

    @Override
    public List<ChannelGoodsVO> listChannelGoodsUnderChannel(QueryWrapper<ChannelGoods> wrapper) {
        return getBaseMapper().listChannelGoodsUnderChannel(wrapper);
    }
}
