package com.qs.mp.common.constant;

/**
 * 银盛相关方法常量
 * @author Evan
 * @date 2023/3/28
 */
public class YsPayMethodConstants {

    /** H5支付方法 */
    public static String H5_PAY_METHOD = "ysepay.online.wap.directpay.createbyuser";


    /** 分账登记方法 */
    public static String DIVISION_SUBMIT_METHOD = "ysepay.single.division.online.accept";

    public static String DIVISION_QUERY_METHOD = "ysepay.single.division.online.query";

    public static String BANK_CARD_AUTH_METHOD = "ysepay.authenticate.three.key.element.precise";


    /** 一般账户提现方法 */
    public static String GENERAL_ACCOUNT_WITHDRAW_METHOD = "ysepay.merchant.withdraw.quick.accept";

    /** 待结算账户提现方法 */
    public static String SETTLED_ACCOUNT_WITHDRAW_METHOD = "ysepay.merchant.withdraw.d0.accept";

}
