package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangkaikai
 * @create 2023-05-17 7:37 PM
 **/

@ApiModel("兑换码导出")
@Data
public class CdKeyOrderExcel {

    @Excel(name = "兑换码")
    private String cdKey;

    @Excel(name = "商品名称")
    private String goodsName;

    @Excel(name = "商品图片链接")
    private String picUrl;

    @Excel(name = "是否兑换")
    private String status;
}
