package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangkaikai
 * @create 2023-06-04 11:02 PM
 **/
@ApiModel("门店采购商品订单参数")
@Data
public class ChannelGoodsOrderParam {

    @ApiModelProperty(value = "商品ID",required=false)
    private Long goodsId;

    @ApiModelProperty(value = "订单类型 3 采购商品",required = false)
    private Integer type;

    @ApiModelProperty(value = "购买数量",required=false)
    private Integer orderNum;

    @ApiModelProperty(value = "收货地址ID",required=false)
    private Long addrId;
}
