package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelGoodsOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.ChannelGoodsOrderVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2023-06-05 11:13:54
 * @describe 经销商商品采购订单mapper类
 */
public interface ChannelGoodsOrderMapper extends BaseMapper<ChannelGoodsOrder> {

    List<ChannelGoodsOrderVO> selectChannelGoodsOrderVOList(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoodsOrder> queryWrapper);

    int selectChannelGoodsOrderCount(@Param(Constants.WRAPPER) QueryWrapper<ChannelGoodsOrder> queryWrapper);
}
